POST api/FoodSystemsTranslation/AddUserFoodSystemByType

Request Information

URI Parameters

None.

Body Parameters

UserFoodSystemModel
NameDescriptionTypeAdditional information
accountId

integer

Required

healthStatusId

Collection of integer

None.

foodSystemId

integer

Required

isStaticSystem

boolean

None.

isVegetarian

boolean

None.

applicationGoal

string

None.

calories

integer

None.

language

string

None.

Request Formats

application/json, text/json

Sample:
{
  "accountId": 1,
  "healthStatusId": [
    1,
    1
  ],
  "foodSystemId": 1,
  "isStaticSystem": true,
  "isVegetarian": true,
  "applicationGoal": "sample string 4",
  "calories": 5,
  "language": "sample string 1"
}

text/plain, application/octet-stream

Sample:
{"accountId":1,"healthStatusId":[1,1],"foodSystemId":1,"isStaticSystem":true,"isVegetarian":true,"applicationGoal":"sample string 4","calories":5,"language":"sample string 1"}

application/xml, text/xml

Sample:
<UserFoodSystemModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RashakaApi.Modules.FoodSystems.DTO">
  <accountId>1</accountId>
  <applicationGoal>sample string 4</applicationGoal>
  <calories>5</calories>
  <foodSystemId>1</foodSystemId>
  <healthStatusId xmlns:d2p1="http://schemas.datacontract.org/2004/07/System">
    <d2p1:int>1</d2p1:int>
    <d2p1:int>1</d2p1:int>
  </healthStatusId>
  <isStaticSystem>true</isStaticSystem>
  <isVegetarian>true</isVegetarian>
  <language>sample string 1</language>
</UserFoodSystemModel>

multipart/form-data, application/form-data

Sample:
<UserFoodSystemModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RashakaApi.Modules.FoodSystems.DTO"><accountId>1</accountId><applicationGoal>sample string 4</applicationGoal><calories>5</calories><foodSystemId>1</foodSystemId><healthStatusId xmlns:d2p1="http://schemas.datacontract.org/2004/07/System"><d2p1:int>1</d2p1:int><d2p1:int>1</d2p1:int></healthStatusId><isStaticSystem>true</isStaticSystem><isVegetarian>true</isVegetarian><language>sample string 1</language></UserFoodSystemModel>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

IHttpActionResult

None.

Response Formats

application/json, text/json, text/plain, application/octet-stream, application/xml, text/xml, multipart/form-data, application/form-data

Sample:

Sample not available.